Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.collect
Interface Spillable

All Known Implementing Classes:
  HadoopSpillableTupleList, HadoopSpillableTupleMap, SpillableTupleList, SpillableTupleMap

    public interface Spillable

Nested Class Summary
`static interface` | `Spillable.SpillListener`
`static interface` | `Spillable.SpillStrategy`

Method Summary
`Tuple` | `getGrouping()`
`void` | `setGrouping(Tuple group)`
`void` | `setSpillListener(Spillable.SpillListener spillListener)`
`void` | `setSpillStrategy(Spillable.SpillStrategy spillStrategy)`
`int` | `spillCount()` The number of times this container has spilled data to disk.

Method Detail

### setGrouping

    void setGrouping(Tuple group)

### getGrouping

    Tuple getGrouping()

### setSpillStrategy

    void setSpillStrategy(Spillable.SpillStrategy spillStrategy)

### setSpillListener

    void setSpillListener(Spillable.SpillListener spillListener)

### spillCount

    int spillCount()

  The number of times this container has spilled data to disk.

  Returns:
    in int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.